﻿#region Copyright (c) 2008 by Jahmani Muigai Mwaura and Community
/*--------------------------------------------------------------------------------------------------
 *  LinqToSql, a Linq to Sql parser for the .NET Platform
 *  by Jahmani Mwaura and community
 *  ------------------------------------------------------------------------------------------------
 *  Version: LGPL 2.1
 *  
 *  Software distributed under the License is distributed on an "AS IS" basis,
 *  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 *  for the specific language governing rights and limitations under the
 *  License.
 *  
 *  The Original Code is any part of this file that is not marked as a contribution.
 *  
 *  The Initial Developer of the Original Code is Jahmani Muigai Mwaura.
 *  Portions created by the Initial Developer are Copyright (C) 2008
 *  the Initial Developer. All Rights Reserved.
 *  
 *  Contributor(s): None.
 *--------------------------------------------------------------------------------------------------
 */
#endregion

using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Linq;
using System.Linq.Expressions;
using System.Reflection;
using System.Text;

namespace LinqToSql {

    public class SqlQueryProvider : QueryProvider {

        private readonly DbConnection connection;

        private readonly SqlSyntaxHelper syntaxHelper;

        public SqlQueryProvider(DbConnection connection, SqlSyntaxHelper syntaxHelper) {
            this.connection = connection;
            this.syntaxHelper = syntaxHelper;
        }

        public override string GetQueryText(Expression expression) {
            return string.Empty; // SqlExpressionParser.TranslateExpression(expression);
        }

        public override object Execute(Expression expression) {

            return SqlExpressionParser.ExecuteExpression(connection, expression, syntaxHelper);
        }
    } 

}
